javax.resource.spi.work

## Class RetryableWorkRejectedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.resource.ResourceException
      - - javax.resource.spi.work.WorkException
        - - javax.resource.spi.work.WorkRejectedException
          - - javax.resource.spi.work.RetryableWorkRejectedException

- All Implemented Interfaces:
    java.io.Serializable, RetryableException

      public class RetryableWorkRejectedException
      extends WorkRejectedException
      implements RetryableException

  A subclass of the `WorkRejectedException` that indicates that the the service unavailability is transient. It is thrown in situations where the previously failed operation might be able to succeed if the resource adapter performs some recovery steps and retries the operation.
  Since:
    1.6
  Version:
    Java EE Connector Architecture 1.6
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.resource.spi.work.WorkException

      `INTERNAL, START_TIMED_OUT, TX_CONCURRENT_WORK_DISALLOWED, TX_RECREATE_FAILED, UNDEFINED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RetryableWorkRejectedException()` Constructs a new instance with null as its detail message.
    `RetryableWorkRejectedException(java.lang.String message)` Constructs a new instance with the specified detail message.
    `RetryableWorkRejectedException(java.lang.String message, java.lang.String errorCode)` Constructs a new throwable with the specified detail message and an error code.
    `RetryableWorkRejectedException(java.lang.String message, java.lang.Throwable cause)` Constructs a new throwable with the specified detail message and cause.
    `RetryableWorkRejectedException(java.lang.Throwable cause)` Constructs a new throwable with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class javax.resource.ResourceException

      `getErrorCode, getLinkedException, getMessage, setErrorCode, setLinkedException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RetryableWorkRejectedException

          public RetryableWorkRejectedException()

      Constructs a new instance with null as its detail message.

    - #### RetryableWorkRejectedException

          public RetryableWorkRejectedException(java.lang.String message)

      Constructs a new instance with the specified detail message.
      Parameters:
        `message` - the detail message.

    - #### RetryableWorkRejectedException

          public RetryableWorkRejectedException(java.lang.Throwable cause)

      Constructs a new throwable with the specified cause.
      Parameters:
        `cause` - a chained exception of type `Throwable`.

    - #### RetryableWorkRejectedException

          public RetryableWorkRejectedException(java.lang.String message,
                                                java.lang.Throwable cause)

      Constructs a new throwable with the specified detail message and cause.
      Parameters:
        `message` - the detail message.
        `cause` - a chained exception of type `Throwable`.

    - #### RetryableWorkRejectedException

          public RetryableWorkRejectedException(java.lang.String message,
                                                java.lang.String errorCode)

      Constructs a new throwable with the specified detail message and an error code.
      Parameters:
        `message` - a description of the exception.
        `errorCode` - a string specifying the vendor specific error code.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)